%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-docutils
Version:       0.21.2
Release:       1mamba
Summary:       Python Documentation Utilities
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://docutils.sourceforge.io/
Source:        https://pypi.debian.net/docutils/docutils-%{version}.tar.gz
License:       Python, BSD, GPL, public domain
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildArch:     noarch

%description
Docutils is an open-source text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX.
It includes reStructuredText, the easy to read, easy to use, what-you-see-is-what-you-get plaintext markup language.

%if 0%{?with_pyver}
%if "0%{?with_pyver}" == "03"
%define py_requires_append \
Provides:      python-docutils \
Obsoletes:     python-docutils < 0.19-2mamba
%endif
%pyver_package
%endif

%prep
%setup -q -n docutils-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/docutils*
%{_bindir}/rst*
%dir %{python3_sitelib}/docutils-%{version}.dist-info
%{python3_sitelib}/docutils-%{version}.dist-info/*
%dir %{python3_sitelib}/%{pkgname}
%{python3_sitelib}/%{pkgname}/*

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 0.21.2-1mamba
- automatic version update by autodist

* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.19-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Mar 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19-3mamba
- rebuilt with python  3.10

* Tue Aug 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19-2mamba
- provide tools without .py extension if python3

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic version update by autodist

* Thu Nov 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18.1-1mamba
- update to 0.18.1

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 0.17.1-2mamba
- automatic version update by autodist

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 0.17.1-1mamba
- automatic version update by autodist

* Sun Apr 04 2021 Automatic Build System <autodist@mambasoft.it> 0.17-1mamba
- automatic version update by autodist

* Sun Nov 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-4mamba
- remove requirement for python-Imaging

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-3mamba
- python-docutils-py3: obsolete python-docutils

* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-2mamba
- binaries default to py3

* Sun Mar 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-1mamba
- update to 0.16

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14-2mamba
- rebuilt with py36 target

* Sun Aug 20 2017 Automatic Build System <autodist@mambasoft.it> 0.14-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- rebuilt with python 2.7

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic version update by autodist

* Tue Aug 30 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.1-1mamba
- update to 0.8.1

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.7-1mamba
- update to 0.7

* Tue Jan 19 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6-1mamba
- package created by autospec
